#!/usr/bin/env bash

set -e

[ ! -e "simgrid" ] && wget https://data.loicguegan.com/Apps/SimGrid/simgrid-v3.27.tar.gz && tar -xvf simgrid-v3.27.tar.gz && ln -s simgrid-v3.27 simgrid # We use the SimGrid Ragnar Release
[ ! -e "rapidjson" ] && wget https://data.loicguegan.com/Apps/RapidJSON/rapidjson-commit_ab1842a-Aprl9.tar.gz && tar -xvf rapidjson-commit_ab1842a-Aprl9.tar.gz && ln -s rapidjson-commit_ab1842a-Aprl9 rapidjson

cd simgrid
mkdir -p build
cd build
cmake ../
make -j4
